gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Gtk.ButtonBox A button box should be used to provide a consistent layout of buttons throughout your application. This box provides a way of laying out buttons horizontally.

The specific layout of buttons in this type of box is determined by the box's .

Methods for manipulating button boxes are provided in the super classes, and .

- Constructor
  2.12.0.0
  The normal way to construct a horizontal button box
- Constructor
  2.12.0.0
  System.Obsolete
  a
  Protected Constructor.
  Chain to this constructor if you have manually registered a native value for your subclass.
- Constructor
  2.12.0.0
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Obsolete
  Gtk.ButtonBoxStyle The default layout style for horizontal button boxes. a
- Property
  2.12.0.0
  System.Obsolete
  System.Int32 The default spacing (in pixels) for horizontal button boxes. a